Home  |  Message Board  |  Contact Us  |  About Us  |  Fan Pics  |  Fan Polls  |  RSS Feed  |  Top of Thread  |  Login  |  Register
Display By:
Home  |  Message Board  |  Top of Thread  |  Login  |  Register
Display By:

 

Previous Thread   |  Top Of Board  |  Start New Thread  |   Next Thread
longstopper Posted on 19/06/2017 07:41
Finsbury Park Mosque
Edited On: 19/06/2017 10:16
Report Message | Email Message To A Friend | Reply To Message
 
Not good news whatever your politics may say.
IP: Logged
Computer_fox Posted on 19/06/2017 08:08
Finsbury Park Moaque

Report Message | Email Message To A Friend | Reply To Message 

 
Condemnation of such actions, but not surprised.
IP: Logged
Drew-Peacock Posted on 19/06/2017 08:27
Finsbury Park Moaque

Report Message | Email Message To A Friend | Reply To Message 

 
Apparently the EDL think it was staged!
IP: Logged
WiggyFox7 Posted on 19/06/2017 09:18
Finsbury Park Moaque

Report Message | Email Message To A Friend | Reply To Message 

 
ISIS will no doubt claim responsibility.

IP: Logged
filbertfoxy00 Posted on 19/06/2017 09:33
Finsbury Park Moaque

Report Message | Email Message To A Friend | Reply To Message 

 
Media were double quick to call it a terror attack this time!
IP: Logged
SohoFox Posted on 19/06/2017 09:41
Finsbury Park Moaque

Report Message | Email Message To A Friend | Reply To Message 

 
48 year old white bloke.
Been charged with Attempted Murder.
It seems the one dead guy is the person who had a heart attack before the van was driven into the crowd trying to help him.
IP: Logged
Unicum Posted on 19/06/2017 11:25
Finsbury Park Moaque

Report Message | Email Message To A Friend | Reply To Message 

 
I see it's already being called Islamophobia. In other words, this attack is connected to Islam.

Just a bit galling when in response to Muslims killing others, shouting 'God is great!' and leaving behind martyr videos etc, many of our leaders have spent the last 16 years telling us that that is most definitely not connected to Islam.
IP: Logged
ClaphamFox Posted on 19/06/2017 11:50
Finsbury Park Moaque
Edited On: 19/06/2017 11:51
Report Message | Email Message To A Friend | Reply To Message 

 
The argument that terrorist attacks by Muslims are 'not connected' to Islam is hardly ever made these days. Nobody remotely credible attempts to say that. The media is usually pretty quick to describe it for what it is, and is doing the same today. It seems the individual responsible for the latest attack was motivated by a desire to kill Muslims. So it's a terrorist attack.
IP: Logged
Unicum Posted on 19/06/2017 12:02
Finsbury Park Moaque

Report Message | Email Message To A Friend | Reply To Message 

 
Both are terrorist attacks. And it's about time that both were called out for what they are.

They might not make the claim as often as they did in the past, but they sure have a problem saying these words: Islamic terrorism.

I know that I am in a minority in this, but refusing to at least acknowledge what is going on, I think, has only exacerbated the situation. Really, things are very bleak at the moment.

IP: Logged
filbertfoxy00 Posted on 19/06/2017 12:28
Finsbury Park Moaque

Report Message | Email Message To A Friend | Reply To Message 

 
Seems to me like it's someone who has cracked after seeing on the news most weeks that innocent men, women and kids have been murdered in the name of Islam.
Not justifying what he's done, he's a murderer and deserves all that is coming his way, but I don't believe this is terrorism in the same way that islamic attacks are terrorism.
IP: Logged
jabbaranks Posted on 19/06/2017 12:32
Finsbury Park Moaque

Report Message | Email Message To A Friend | Reply To Message 

 
Eh?

Man drives on pavement and kills and maims innocent people - another man drives on pavement and kills and maims innocent people.

Both are identical, hate filled w4nkers who want to stop the rest of us just cracking on with life. It's terrorism however you dress it up.
IP: Logged
TartanFox Posted on 19/06/2017 12:36
Finsbury Park Moaque

Report Message | Email Message To A Friend | Reply To Message 

 
Seems to me this individual is another socially inadequate self loather.

Quite remarkable how our society produces them.
IP: Logged
filbertfoxy00 Posted on 19/06/2017 12:45
Finsbury Park Moaque

Report Message | Email Message To A Friend | Reply To Message 

 
Speaks volumes to me that I've not seen one tweet or Facebook 'pray for Finsbury Park' status.

One form of terrorism is driven by hate for our freedoms and all that we stand for, the other PERHAPS committed by a nutter who got pi55ed off with our country being under constant attack.
Like I said, not trying to justify a murder but I can see the difference between terrorism and a nutcase on a revenge mission.
IP: Logged
jabbaranks Posted on 19/06/2017 12:52
Finsbury Park Moaque

Report Message | Email Message To A Friend | Reply To Message 

 
You are trying to justify it.

the end result is no different, innocent people getting fukced over by to55ers with some kind of warped agenda that 99.99% ain't interested in.

Now more than ever we need to stay as tight together across communities to root out these scumbags on both sides so we can stop having to see these fukcing horrific stories unfold almost daily.Not get in a van and exact some kind of gallant retribution.
IP: Logged
yorkfox Posted on 19/06/2017 12:54
Finsbury Park Mosque

Report Message | Email Message To A Friend | Reply To Message 

 
What has happened regarding the witnesses saying that another two men fled the scene. Was it just lies or is it a cover up I really aint sure.
IP: Logged
filbertfoxy00 Posted on 19/06/2017 13:05
Finsbury Park Moaque

Report Message | Email Message To A Friend | Reply To Message 

 
Not trying to justify it at all, I can just see that one form of terrorism is driven by an ideology and the other was perhaps driven by someone pi55ed off about it all.

IP: Logged
filbertfoxy00 Posted on 19/06/2017 13:06
Finsbury Park Mosque

Report Message | Email Message To A Friend | Reply To Message 

 
I suppose seeing people flee the scene could easily be confusing because people would have been panicked and dashing in all directions.
IP: Logged
yorkfox Posted on 19/06/2017 13:12
Finsbury Park Mosque

Report Message | Email Message To A Friend | Reply To Message 

 
Someone told sky that two people legged it from the van and the crowd behind him backed it up.
IP: Logged
sammygeorge Posted on 19/06/2017 14:30
Finsbury Park Mosque

Report Message | Email Message To A Friend | Reply To Message 

 
Perhaps it's the start of the civil war
IP: Logged
Drew-Peacock Posted on 19/06/2017 14:50
Finsbury Park Mosque

Report Message | Email Message To A Friend | Reply To Message 

 
Just ask Enoch
IP: Logged
Timbucktoo Posted on 19/06/2017 15:04
Finsbury Park Mosque

Report Message | Email Message To A Friend | Reply To Message 

 
It wasn't a terrorist attack . Lets call it for what it was a REVENGE attack.
IP: Logged
jabbaranks Posted on 19/06/2017 15:06
Finsbury Park Mosque

Report Message | Email Message To A Friend | Reply To Message 

 
Yeah, and of course, it'll make everything alright and put a stop to these things happening on our streets and keep us all safe won't it.
IP: Logged
TartanFox Posted on 19/06/2017 15:57
Finsbury Park Mosque

Report Message | Email Message To A Friend | Reply To Message 

 
I notice the likes of the S*n/Mail usually call for 'Hate Preachers' to be censored. Have they made any noises about the fcukwits like Tommy Robinson, Katie Hopkins and Nigel Farage.

All 3 of whom spout factually incorrect bollux aimed at stoking up tensions and pressing the buttons of the socially inadequate.
IP: Logged
Unicum Posted on 19/06/2017 16:26
Finsbury Park Mosque

Report Message | Email Message To A Friend | Reply To Message 

 
Sorry Tartan....That's your opinion and...

As you put them, the socially inadequate do exist.

But if you did manage to agree with censorship, and I'm not sure that you do, but...

Would it really help?

I mean..... wars, invasions, terrorist attacks, ridiculously insane religions, suicide bombers,...

It's a mess. Just as freedom of speech is very messy. It's difficult to see how people can look at what is going on and not express an opinion that reflects being very annoyed.
IP: Logged
hackneyfox Posted on 19/06/2017 16:30
Finsbury Park Mosque

Report Message | Email Message To A Friend | Reply To Message 

 
Timby
Thats the same twisted logic that IS used when they burnt that pilot in a cage.
IP: Logged
hackneyfox Posted on 19/06/2017 16:30
Finsbury Park Mosque
Edited On: 19/06/2017 16:50
Report Message | Email Message To A Friend | Reply To Message 

 
.
IP: Logged
hackneyfox Posted on 19/06/2017 16:30
Finsbury Park Mosque
Edited On: 19/06/2017 16:50
Report Message | Email Message To A Friend | Reply To Message 

 
.
IP: Logged
Mustapha_Teabreak Posted on 19/06/2017 16:32
Finsbury Park Moaque

Report Message | Email Message To A Friend | Reply To Message 

 
"Speaks volumes to me that I've not seen one tweet or Facebook 'pray for Finsbury Park' status."

that probably say more about yr FB friends than anything else.

i've seen loads in my feed.
IP: Logged
Timbucktoo Posted on 19/06/2017 18:15
Finsbury Park Moaque

Report Message | Email Message To A Friend | Reply To Message 

 
Hackney I agree with you. My point was people are seeing that our political eleite have fvcked up big time and haven't a clue what to do about it. Call me old fashioned but you know if my young daughter had been murdered by these cuckoos in our nest you can damn well bet on it I would be looking for revenge.
IP: Logged
richardvanles Posted on 19/06/2017 18:30
Finsbury Park Moaque

Report Message | Email Message To A Friend | Reply To Message 

 
Wonder who radicalised him?
IP: Logged
Timbucktoo Posted on 19/06/2017 19:21
Finsbury Park Moaque

Report Message | Email Message To A Friend | Reply To Message 

 
Our politicians and their complete disregard for the indigenous population that who.
IP: Logged
LeicesterRino Posted on 19/06/2017 19:41
Finsbury Park Moaque

Report Message | Email Message To A Friend | Reply To Message 

 
Am I the only one that finds it odd that this looney drove all the way from Cardiff to Finsbury Park and knew what time they would be leaving?

Presumably there a few Mosques in Cardiff
IP: Logged
astleyfox Posted on 19/06/2017 20:35
Finsbury Park Moaque

Report Message | Email Message To A Friend | Reply To Message 

 
Finsbury Park mosque has notoriety, so will have atracted more exposure.
IP: Logged
mac_ Posted on 19/06/2017 20:50
Finsbury Park Moaque

Report Message | Email Message To A Friend | Reply To Message 

 
Drew.

EDL? They still going, or did you make that up? Or did the news script it for you?
IP: Logged
Drew-Peacock Posted on 20/06/2017 08:01
Finsbury Park Moaque

Report Message | Email Message To A Friend | Reply To Message 

 
Yes
IP: Logged
Unicum Posted on 20/06/2017 09:57
Finsbury Park Moaque

Report Message | Email Message To A Friend | Reply To Message 

 
"Wonder who radicalised him?"

Yeah, I wonder. Might have something to do with thousands being killed due to some mad religion and most of the political class being in denial about it.

As I hinted at Tartan....

If you can't get angry at what is going on, and what has been going on, then I think there is something wrong with you.

If people want to blame someone like Farage, fine, but I think that's insane, and a little-bit like shooting the messenger. I mean, I agree with Farage about most of this, but I don't want to go out there and kill people, and nor do I hate Muslims.

Perhaps we might want to look at...

Oil wars,
Project for a New America,
Oden Yinon's Plan?,
A religion that without doubt authorises violence and death to non-believers
A global terrorist campaign,
A ****-up migration crisis, definitely made worse by the policies of our leaders
On-off wars with ISIS....the debacle in Syria, Libya, Iraq blah blah blah.
IP: Logged
TartanFox Posted on 20/06/2017 10:35
Finsbury Park Mosque

Report Message | Email Message To A Friend | Reply To Message 

 
Unicum, I don't buy in to the pigeon-holing of these individuals, it's an easy way out for commentators and politicians.

This clown at Finsbury Park is cut from exactly the same cloth as the other scumbags who've been blowing people up and stabbing folk. They are weak of mind and social inadequates just because they've grabbed hold of a twisted ideology doesn't mean they represent entire cultures or races.

That bloke from Cardiff doesn't represent you, me or anyone else on this board, he's a cnut, just as those others recently don't represent any Muslim I've ever come across, they were cnuts.

The problem for me is the arrogance of the Britain, our inbuilt psyche that we are somehow better than everyone else and we are super-power. It's time we wound our collective necks in and reflect on our past, not just the good or the brave bits, but the dark seedy periods no one ever talks about and they don't teach you about at school.

Perhaps a bit of introspection would go along way with others around the place.

Our MSM give people like Farage, Robinson and Hopkins an avenue to spout their drivel in the full knowledge that some will be spurred on by it.

No one ever challenges them on it, cheap easy soundbytes and that is what annoys me the most.
IP: Logged
filbertfoxy00 Posted on 20/06/2017 11:00
Finsbury Park Mosque

Report Message | Email Message To A Friend | Reply To Message 

 
I've taken a lot of interest in Tommy Robinson recently via his social media. He talks a lot of sense, is not the racist the media portray him to be and is one of the enlightened few who can see what is going on in this country and where it is heading.
Of course not everyone will agree with him because we all have different political views and standpoints, but we can all see that incidents of terrorism are becoming more frequent and innocent people are dying in the name of a warped ideology, so why shouldn't Tommy Robinson be allowed to have his say and endeavour to educate those of us with far less knowledge of what is going on in the Muslim communities?
Things cannot be allowed to continue the way they are, and if Tony Robinson has to be the one to bring things to our attention such as the rape and abuse of teenage girls by young Muslim men then I am more than happy to listen to him and learn what is going on from him because sure as hell our government and police force aren't going to give us the facts.
IP: Logged
mac_ Posted on 20/06/2017 11:16
Finsbury Park Moaque

Report Message | Email Message To A Friend | Reply To Message 

 
Yes to all three?

Well done.
IP: Logged
youlittleripper Posted on 20/06/2017 11:37
Finsbury Park Moaque

Report Message | Email Message To A Friend | Reply To Message 

 
Is filbertfoxy on a one man mission day by day to make himself sound more like a c00nt? I thought that was Soho's job. Stay off the Robinson gear and get back to the safe ground of the daily news feeds of Rebekah Vardehs nethers.

I'm sure deep down we all thank Tommy Robinson for 'educating' us.
IP: Logged
sixthswan Posted on 20/06/2017 11:42
Finsbury Park Mosque
Edited On: 20/06/2017 11:43
Report Message | Email Message To A Friend | Reply To Message 

 
Stephen Yaxley-Lennon is an imbecile. If anyone sees him as any kind of moral compass, then they are destined to spin violently out of control for ever.
IP: Logged
Adumass Posted on 20/06/2017 12:16
Finsbury Park Mosque

Report Message | Email Message To A Friend | Reply To Message 

 
"if Tony Robinson has to be the one to bring things to our attention such as the rape and abuse of teenage girls by young Muslim men then I am more than happy to listen to him"

i should paid more attention to Time Team, didn't realise it covered all this.
IP: Logged
hackneyfox Posted on 20/06/2017 12:38
Finsbury Park Mosque

Report Message | Email Message To A Friend | Reply To Message 

 
FF
TR didn't bring the rape and abuse of teenage children to our attention. The perpetrators had already been charged by the time he decided to wind things up.
He most certainly isn't the investigative journalist he makes himself out to be.
IP: Logged
outfoxed Posted on 20/06/2017 13:06
Finsbury Park Mosque

Report Message | Email Message To A Friend | Reply To Message 

 
Jesus, how thick do you have to be to be "educated" by Tommy Robinson.
IP: Logged
richardvanles Posted on 20/06/2017 13:31
Finsbury Park Mosque

Report Message | Email Message To A Friend | Reply To Message 

 
Pretty thick I guess.
Anyone remember that film in the 70's where they had a dare devil about to perform his most dangerous stunt to date. He's dressed like evil knivel, you se him putting on his crash helmet, walking up to a load of black guys playing some game or other in the gutter and shouts 'n*****s!' And runs off.
That's pretty much what Tommy Robinson does.
IP: Logged
Club_B00k_Crutchless Posted on 20/06/2017 13:36
Finsbury Park Mosque

Report Message | Email Message To A Friend | Reply To Message 

 
TR tries to make it look like he's not a racist and come across as intelligent but scrape away the shallow exterior and he's a deeply unpleasant racist who is trying to stoke up a race war. He's as bad as any dodny imam for indoctrinating people with small brains and social inadequacy.
IP: Logged
filbertfoxy00 Posted on 20/06/2017 13:37
Finsbury Park Mosque

Report Message | Email Message To A Friend | Reply To Message 

 
'Educated' in the subject of Islam, not fully educated by him, as well you know. Real clever to pick out one word then use it in a different context to try to score a point!
I don't see anything wrong with listening to his views, the views of others and the msm then forming an opinion.
Like I said we've all got our political beliefs and standpoints...that doesn't make anyone's opinions less valid than someone else's.
I ain't gonna fall out with anyone on here over this, I have my opinions and choice of where I get my info from...just as everyone else does.
IP: Logged
filbertfoxy00 Posted on 20/06/2017 13:38
Finsbury Park Mosque

Report Message | Email Message To A Friend | Reply To Message 

 
Always a guaranteed nifty this! [;)]
IP: Logged
thringyfox Posted on 20/06/2017 13:43
Finsbury Park Mosque

Report Message | Email Message To A Friend | Reply To Message 

 
msm ... the new buzzword [rle]
IP: Logged
hackneyfox Posted on 20/06/2017 13:48
Finsbury Park Mosque

Report Message | Email Message To A Friend | Reply To Message 

 
Have you tried the views of Paul Golding, a mate of Robinson.

Link: link
IP: Logged
Unicum Posted on 20/06/2017 15:24
Finsbury Park Mosque

Report Message | Email Message To A Friend | Reply To Message 

 
A good reply Tartan.

I am not sure about MSM and Farage going unchallenged. But no matter how we look at individuals, I still think the bigger picture makes for grim reading and there are many uncomfortable ideas out there. One being that European countries that take in large amounts of Muslims, seem to end up suffering from Islamic terrorism. I think this too.

Whatever the facts, London's Major tacitly seems to agree with it when he suggests that we have to get used to it.

The big question is how to deal with it and still remain a half-decent society. I suppose Facebook love-ins, after a decade or two might wim through. And CNN faking the backdrop to reports in London might help and make us feel better. Unfortunately
I just don't think there is a 'feel good' element to this, and as depressing as it is, I can't help but reject the bs.

Agree though, we have no business prancing about on the world stage. (Especially when it comes to getting involved in the middle east)

IP: Logged
Computer_fox Posted on 20/06/2017 16:07
Finsbury Park Mosque

Report Message | Email Message To A Friend | Reply To Message 

 
some observations.

Where there is an overseas tragedy we have teams ready to go on a moments notice.

TR as distasteful he mighty be to a large potion of you lot on here, is not the cause of this problem, hes the symptom. If TR gets topped (some might cheer on here) the cause of people like TR being created still exists.

Radical Islamic terrorism. If the KKK sprouted hate across vast swathes of the globe would you call it nothing to do with Christianity ?

Corbyn is a sympathizer.. end of.Radical left organisation gain his support, his record is there for all to see. Alot on here need to take his schlong out yer gob for 5 minutes.

Mosques must be monitored.

IP: Logged
foxinabox Posted on 20/06/2017 16:33
Finsbury Park Mosque

Report Message | Email Message To A Friend | Reply To Message 

 
We are a half-decent society. Lots more people die on our roads than are knifed, shot or blown up by Islamic terrorists. I know it's xxxxing irritating, but it's the way of the world now. We have to be stoic.

The MSM will carry on being the MSM, and it's difficult to see how their approach can change.

Let Farage and TR have their platform, they won't win. I have mixed feelings about getting Facebook and U-Tube to take down extremist videos - I know they're horrible, but they do enable our intelligence forces to get a handle on what's going on. Concentrate on getting them to pay their taxes. Government interference in the internet has to be bad, no matter how good the intentions are.

I agree with you about us prancing about on the world stage. Cameron used to drive me apoplectic with his 'well, we've sent 60 soldiers to Estonia, that will really stop the Russians in their tracks'.
IP: Logged
Club_B00k_Crutchless Posted on 20/06/2017 16:37
Finsbury Park Mosque

Report Message | Email Message To A Friend | Reply To Message 

 
Point of order Unicum.

Whatever the facts, London's Major tacitly seems to agree with it when he suggests that we have to get used to it.

Khan never said that.
" What I do know is part and parcel of living in a great global city is you gotta be prepared for these things, you gotta be vigilant, you gotta support the police doing an incredibly hard job, you gotta support the security services. And I think speculating, when you don’t know the facts, is unwise.
IP: Logged
Unicum Posted on 20/06/2017 16:58
Finsbury Park Mosque

Report Message | Email Message To A Friend | Reply To Message 

 
Part and parcel of living in a great global city is that you have to be prepared for these things....

His words.

These things? What would they be?
Islamic terrorist attacks? Or are we expecting the Mormons to blow us up?

'Part and parcel'. Does that mean that we should expect as normal these things?
Like traffic jams? Car accidents and tube strikes?
IP: Logged
Adumass Posted on 20/06/2017 17:24
Finsbury Park Mosque

Report Message | Email Message To A Friend | Reply To Message 

 
i guess you could argue his words either way.

he may just mean, whatever "these things" are on this day.
yesterday these things were gunpowder plots (i know i'm stretching it a bit).
yesterday these things were luftwaffe air raids.
yesterday these things were IRA bombings.
today these things are islamic terrorist attacks.
tomorrow who knows.

but i think it is part and parcel of living in a major world city that you are a high profile target for the terror of the day.
IP: Logged
Unicum Posted on 20/06/2017 17:35
Finsbury Park Mosque

Report Message | Email Message To A Friend | Reply To Message 

 
I did say tacitly.

And bearing in mind he's a politician, you would expect a generalisation and a lack of specifics. But the meaning is in there. He's the Mayor of London speaking about a specific terrorist attack. Of course, he is right that this IS what we have come to expect. The pattern across Europe has been pretty clear.
IP: Logged
Club_B00k_Crutchless Posted on 20/06/2017 17:48
Finsbury Park Mosque

Report Message | Email Message To A Friend | Reply To Message 

 
Whatever particular threat he means, he obviously means getting used to be vigilant about the possibility of an attack.

He never said "get used to it"
IP: Logged
greenlanefox Posted on 20/06/2017 17:50
Finsbury Park Mosque

Report Message | Email Message To A Friend | Reply To Message 

 
Tommy Robinson is a XXXXXX , hope that helps
IP: Logged
Computer_fox Posted on 20/06/2017 18:17
Finsbury Park Mosque

Report Message | Email Message To A Friend | Reply To Message 

 
Did you watch the GMB interview this morning?
IP: Logged
foxinabox Posted on 20/06/2017 18:22
Finsbury Park Mosque

Report Message | Email Message To A Friend | Reply To Message 

 
What would you do, Unicum? Let's face it, you hate Islam, and you have read loads of stuff that makes you hate Islam even more. So where does that get you? They are here now, and they are not going to go away. Simple as that.

You don't have to have 'a generalisation and a lack of specifics' like you accuse Sadiq Khan of. You're not a politician, you're a poster on Bentley's Roof, so fire away - what's the answer?
IP: Logged
Unicum Posted on 20/06/2017 20:32
Finsbury Park Mosque

Report Message | Email Message To A Friend | Reply To Message 

 
Yes, well I may have been a little clumsy, but then my words don't matter.

I stand by it though. There's an element of the 'shrug' in his statement. Something of the 'well this is just the way it is folks. '
IP: Logged
Adumass Posted on 20/06/2017 20:37
Finsbury Park Mosque

Report Message | Email Message To A Friend | Reply To Message 

 
Brussels turn again tonight [sad]
IP: Logged
foxinabox Posted on 20/06/2017 21:21
Finsbury Park Mosque

Report Message | Email Message To A Friend | Reply To Message 

 
As far as I make out, what you're hung up about is the reluctance to call them 'Islamic terrorists' rather then 'radical Islamic terrorists' or just 'terrorists'.

There's a reason for that, just as there was a reason to describe those taking part in the Northern Ireland conflict as 'republican' or 'loyalist' rather than Catholic or Protestant. I think you'd find if you worked in TV or on the press, you would rapidly rid yourself of the habit of calling them 'Islamic terrorists' for fear of the back-tracking you would inevitably have to do.
IP: Logged
Unicum Posted on 20/06/2017 21:44
Finsbury Park Mosque

Report Message | Email Message To A Friend | Reply To Message 

 
Good question foxinabox.

Thank God I am just a punter on here. To be honest, I think we are a long way into this now. It may be too late, and I know that with hindsight it is easy to look back and point the finger. But I think I have spent years now going on about this.. Syria ffs!

I don't want any kind of censorship. (even for ISIS) I think in many cases, we have already had a censorship in place.

The country seems well and truly messed up. Pretty amazing that an attack can take place and many on social media unleash rants on someone like Katie Hopkins, while turning an incredible blind eye against the attackers and their apologists. (stuff like this, and the pray for whatever, I find thoroughly depressing.) So some of the culture we've been incubating over the last 20 years, seems very odd to me; head in the sand and lets hope it goes away. As Computer Fox says, TR is reacting to the problem. He isn't the problem.

What would I do now? Recognise that whatever we have done in the last 16 years has failed. We all know that not all Muslims are terrorists, but if you can't even bring yourself to admit that Islamic terrorism exists, then I don't think you are fit to be involved in trying to solve the problem.

Recognise that we have probably reached a point where many have had enough. So get that debate going and start being as honest as you can. Reach out, but really. The Muslim community seems more open now to this than they used to, but progress needs to be seen on stopping this. Whatever it takes. Whining about Islamophobia without really facing up to this, doesn't help anyone.

(the terrorists have us over a barrel, because, like you say, it's too late now and they know that the only draconian measures that we can take, are going to go against most of our ideals)

But if it doesn't change, what then? Everyone just puts up with it, or we do go in that more draconian direction, and the options there are endless. Arresting people for being members of ISIS, immigration bans, change of laws re prisons and schools, and and..I wouldn't like to live in a place like that.

I sometimes think it is hopeless, but strangly I don't think it is.




IP: Logged
hackneyfox Posted on 20/06/2017 22:43
Finsbury Park Mosque

Report Message | Email Message To A Friend | Reply To Message 

 
Brussels
Thankfully only the bomber dead.
Nicolas Van Herrewegen, a railway sorting agent, told reporters he had gone down to the station's mezzanine level when he heard someone shouting. "Then he cried 'Allahu Akbar' and he blew up a trolley," he was quoted by AFP news agency as saying.
IP: Logged
foxinabox Posted on 20/06/2017 23:20
Finsbury Park Mosque

Report Message | Email Message To A Friend | Reply To Message 

 
"It may be too late, and I know that with hindsight it is easy to look back and point the finger"

Actually, it's not that easy, don't fall into that trap. Think about it. Where would you draw the line? Before or after 9/11?

Should we have let the Pakistanis and the Bangladeshis into our country in the first place, before they started blowing one another up, on the basis that they looked funny and wore odd clothes?

The NHS would be totally in crisis if it were not for the Muslims. And if letting Turkey into the EU causes such a problem, then explain Harringay? There are Turks everywhere.

All roads lead to this place. It would help rather if we hadn't blown up the whole Middle East, but someone was going to anyway, and they've all ended up in Europe. It was an inevitable part of population drift.

Too many ideas for me to respond fully, maybe tomorrow. Thanks for the post, though.

"Arresting people for being members of ISIS" - I think you will find that they do that already.
IP: Logged
Unicum Posted on 21/06/2017 05:16
Finsbury Park Mosque

Report Message | Email Message To A Friend | Reply To Message 

 
All roads lead to this place.

That probably is the most interesting thing I've read about this for a long time. I sense you may be right. Even if we hadn't been in the Middle East.

The phrase sleepwalking into disaster gets used a lot. I suppose in trying to look at this with eyes open has been a sort of self -torture. I should have just gone down the pub more often instead.

By arresting isis members, I was getting at the famed group who went out there and came back, and are supposedly wandering around 'our streets'.
IP: Logged
hand_of_jod Posted on 21/06/2017 07:46
Finsbury Park Mosque

Report Message | Email Message To A Friend | Reply To Message 

 

Would the Finsbury Park attack have happened were it not for Westminster,Manchester and London Bridge ?

People have had enough of Islamic Terrorism, May and her saying the country has been too tolerant of extremist views is just another soundbyte - nothing will change.

Letting in millions of muslims into our country has had a massive effect on our society. If you deny that then you are a complete and utter idiot. The masses - whether you like it or not - are sick of it.
IP: Logged
Unicum Posted on 21/06/2017 07:58
Finsbury Park Mosque
Edited On: 21/06/2017 23:52
Report Message | Email Message To A Friend | Reply To Message 

 
Sorry foxinabox. I nearly missed your comment on the media.

It's not just the term of what you might call a terrorist, but a general denial that was first led by George W Bush. I think this sense of denial has made things worse.

You've clearly given it a lot of thought, so I reckon you’ve experienced a disconnection between what is said and what is happening.

Like….,

“Islam is a religion of peace.” - You see an act of incredible violence.

“This has nothing to do with religion.” - You see the clip of the atrocity and you hear the witnesses saying the perpetrator shouted ‘God is great!’

“These people are not true believers.” – You see a statement of some group quoting the Koran word-perfect justifying what they are doing.

You see someone like Ayann Hirsi Ali under constant threat of assassination for, amongst other things, trying to open the debate. You see someone like Douglas Murray try to talk about these issues in a civilised manner– You then hear that they are Islamophobic, racist, right-wing nut jobs.

I think if you experience this sort of disconnection, it’s because you know that you are being strung along. People aren’t always stupid. They often know when they’re being lied to, and this is my main point: in engaging in this, our media, our political class, and whoever else, may have gone in the ‘easy’ direction and headed off ‘outrage’, but they’ve encouraged immense frustration and anger. Blaming someone like Tommy Robinson for venting that frustration, I think, is missing the point, at best, at worst, a cop out.
IP: Logged
bnet Posted on 21/06/2017 08:05
Finsbury Park Mosque

Report Message | Email Message To A Friend | Reply To Message 

 
whats the reason for the distortion from the press and the politicians, whats the agenda because there must be one. Any sensible person can see the cover up jobs everytime they murder more people but they don't care they keep playing it down. l don't believe that they can't control it.
IP: Logged
Club_B00k_Crutchless Posted on 21/06/2017 09:31
Finsbury Park Mosque

Report Message | Email Message To A Friend | Reply To Message 

 
The majority of muslims say it's a religion of peace and that these acts are not carried out in their name. So are they wrong and the extremists right?

Tommy Robinson tries to come across as intelligent but merely scratches at the surface, but compared to his followers he is intelligent.

Just as the extremists who follow their brand of Islam carry out these heinous acts, goaded by whoever radicalises them, the extremists such as carried out Finsbury Park and Jo Cox attacks are just as bad.

What did Darren Osborne think he was going to achieve to by running down some Muslims leaving the mosque? It wasn't revenge because they weren't the ones who carried out the recent atrocities.
IP: Logged
Unicum Posted on 21/06/2017 09:52
Finsbury Park Mosque

Report Message | Email Message To A Friend | Reply To Message 

 
"The majority of muslims say it's a religion of peace and that these acts are not carried out in their name. So are they wrong and the extremists right?"

People can say anything they want. They can be in a majority or minority, but I don't think being in a majority or minority has any bearing on how valid an opinion is.

How anyone chooses to follow a code of belief and behaviour is up to them. Clearly you can cherry pick a system and make it peaceful or violent.

The terrorists have their own view, and when they quote their books and say what and why they are doing it, we should try listening. I don't think that they are lying.
IP: Logged
hackneyfox Posted on 21/06/2017 12:57
Finsbury Park Mosque

Report Message | Email Message To A Friend | Reply To Message 

 
'How anyone chooses to follow a code of belief and behaviour is up to them. Clearly you can cherry pick a system and make it peaceful or violent.'

Which is what Christians have learnt to do over the last few hundred years and is what the vast majority of Muslims living in the West have also done.
IP: Logged
Club_B00k_Crutchless Posted on 21/06/2017 13:40
Finsbury Park Mosque

Report Message | Email Message To A Friend | Reply To Message 

 
OK. So we listen to the terrorists and their interpretation. What next?

Their views are fixed. they want to kill us and take over. Where do you start negotiating with that?

IP: Logged
foxinabox Posted on 21/06/2017 14:14
Finsbury Park Mosque

Report Message | Email Message To A Friend | Reply To Message 

 
The current POTUS is a manchild, who when everybody doesn't do as he says, fires off furious tweets in all directions, often with a total disregard for world peace, and contempt for diplomatic arrangements that have been put together by civil servants who are a lot more intelligent than he is. His deputy believes in Noah's Ark, ffs. He believes that dinosaurs are a fake, on the basis that he's never seen one.

I never thought we'd get to the stage we're now in, when we're relying on Kim Jung On rather than the American president to make rational decisions to keep the Far East safe. But we have.

On the basis of this, are we right to condemn the Americans, all 300 million of them? No, of course we're not. The very idea is absurd. Most of them just want peace and prosperity.

Look, Unicum, we are following the idea of Islam being a peaceful religion because any other way leads to madness. There is no point in you trying desperately to find a middle ground where you will get Muslims going 'Oh, you've got me there, with your well-argued words, you little monkey. I guess Islam is a religion of hate, but we will try and get better, honest we will'.

There is absolutely no way that Tommy Robinson and his ilk can play a part in what happens next, not unless you want to go the whole way to 'Kristallnacht' and the Holocaust.

I know what you mean, believe me. It sticks in my craw too. Sometimes they make me so mad that there are times when I could quite cheerfully kill every one of them, with their primordial woman-fearing beliefs from the Dark Ages. Sometimes I want to kill Spurs fans too, but then I get back to the real world, and I realise that's not an option, but is in fact insane.

I used to have a Pakistani lodger who said to me 'Don't trust Pakistanis, they are liars'. Did he mean it? Or was he just talking about himself? I don't know. Sometimes we have to have faith.
IP: Logged
Unicum Posted on 21/06/2017 14:27
Finsbury Park Mosque

Report Message | Email Message To A Friend | Reply To Message 

 
"Their views are fixed. they want to kill us and take over. Where do you start negotiating with that?"

Well I did say that it was bleak and depressing, didn't I?
IP: Logged
Club_B00k_Crutchless Posted on 21/06/2017 14:34
Finsbury Park Mosque

Report Message | Email Message To A Friend | Reply To Message 

 
It's not though is it? They're a very small minority. Don't negotiate with them. I don't know the answer but sending them all back isn't going to work.
IP: Logged
Unicum Posted on 21/06/2017 14:36
Finsbury Park Mosque

Report Message | Email Message To A Friend | Reply To Message 

 
To be honest foxinabox, I'm pretty convinced that Islam is not a religion of peace, just as I am convinced that the Old Testament is full of really bad ideas, and the New Testament has a few bits that I'm not keen on. I can live with this without going mad.

If people want to come up with their own nicer versions of these things, then yes, of course I'm all for it, and it is what the vast majority of people do anyway.

All I'm saying is, attempting a total delusion and bs-ing people, and being politically correct, no matter how much it annoys me, ....well it doesn't also seem to be working either. I think it has made things worse.

That's it really. But thanks for your comments. You've put some good arguments forward and it's good to debate a little with someone who doesn't resort to the name calling etc. [^]
IP: Logged
Unicum Posted on 21/06/2017 14:44
Finsbury Park Mosque

Report Message | Email Message To A Friend | Reply To Message 

 
I don't know who or what is a small minority. In all seriousness, statistics and findings and opinions come at us like confetti and I am not sure what you can trust and what is the real picture.

But yes, of course I agree that last part of your sentence.

IP: Logged
fowlpenlooney Posted on 21/06/2017 15:09
Finsbury Park Mosque

Report Message | Email Message To A Friend | Reply To Message 

 
Tommy Robinson is an extremely brave man .
IP: Logged
hackneyfox Posted on 21/06/2017 15:34
Finsbury Park Mosque

Report Message | Email Message To A Friend | Reply To Message 

 
Oh no he's not.
IP: Logged
Computer_fox Posted on 21/06/2017 18:12
Finsbury Park Mosque

Report Message | Email Message To A Friend | Reply To Message 

 
Its time for the aliens to hold a presser, David Icke will be the MC.

Their first instruction will be to burn burn the dogma reading materials of all persuasions.

Link: Like this..
IP: Logged
Higher_Power_Fox Posted on 21/06/2017 18:20
Finsbury Park Mosque

Report Message | Email Message To A Friend | Reply To Message 

 
Apparently he has to wear a burka when out on his tod, death threats and that.
IP: Logged
Club_B00k_Crutchless Posted on 21/06/2017 21:03
Finsbury Park Mosque

Report Message | Email Message To A Friend | Reply To Message 

 
On a slightly different note but this is interesting reading into recruitment of jihadis. Rather different beliefs to the ones that seem to be doing the attacks round Europe

Link: ISIS
IP: Logged
longstopper Posted on 22/06/2017 20:30
Finsbury Park Mosque

Report Message | Email Message To A Friend | Reply To Message 

 
If anyone hasn't seen the excellent BBC documentary
'Hospital', you can catch it on Iplayer. A close up on the reality and impact these atrocities create and a brilliant insight into the marvellous work of the NHS.
Try it, you will be moved.
IP: Logged
Previous Thread  |  Start New Thread  |  Top Of Board  |  Top Of Thread  |  Next Thread



Home  |Message Board  |  Top of Board  |  Login  |  Register


Copyright © 2008 to 2017 Fansonline.net Ltd

FansOnline.net Ltd
Unit 7
Brentnall Center
Gilkes Street
Middlesbrough
Cleveland
TS1 5AP
Fansonline Home | About Fansonline | Contact Fansonline | Advertise On Fansonline | Privacy Policy | TOS
10.0.166.103